package com.bonus.boot.manager.basic.dao;

import com.bonus.boot.manager.basic.entity.PhyCombinBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface PhyManagementDao {

    List<PhyCombinBean> getList(PhyCombinBean o);

    int addInfo(PhyCombinBean bean);

    int updateInfo(PhyCombinBean bean);

    PhyCombinBean getListById(String id);

    int delById(PhyCombinBean bean);

    int determineIfExists(String combinSex, String isHighPosition,String personType,String checkType, String id);

    int insertBasicData(PhyCombinBean bean);

    void delete(PhyCombinBean bean);
}

